Subject: Re: [Gen-art] Gen-ART Last Call review of draft-ietf-avtcore-monarch-17

From: Qin Wu <[email-masked]>
Date: Thu, 16 Aug 2012 12:57:39 +0800

HI,Meral:
Sorry for late, please see my replies inline below.

Regards!
-Qin
----- Original Message ----- 
From: "Meral Shirazipour" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Wednesday, August 01, 2012 10:02 AM
Subject: Gen-ART Last Call review of draft-ietf-avtcore-monarch-17

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq> .

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-avtcore-monarch-17
Reviewer: Meral Shirazipour
Review Date: 2012-07-31
IETF LC End Date: 2012-08-02
IESG Telechat date: 2012-08-16

Summary:
This draft is almost ready to be published as Informational RFC but I have some comments.

Nits/editorial comments:

-[Page 5], in the definition of "Transport level metrics", suggestion: please clarify "packet delay variation", as done in Section 6.
 ex.: "packet delay variation" ----->"packet delay variation (PDV) which could be jitter or another metric". 

[Qin]: I prefer to reference to RFC5481 "Packet Delay Variation Problem statement" and propose the following change:
"packet delay variation" ------> "packet delay variation which is sometimes called jitter [RFC5481]"

-[Page 5],in the definition of "Application level metrics", "end-to-end" ---->"end to end"  (Note: the rest of the document uses end to end).

[Qin]: Okay.

-[Page 5],in the definition of "Application level metrics", typo: "ususally"---->"usually"

[Qin]: Good catch, thanks.

-[Page 7], Section 3, "SIP", first occurrence of the word. Suggestion: please spell out "Session Initiation Protocol (SIP)"

[Qin]: Okay.

-[Page 7], Section 3.1, suggestion: "shown below"----->"described below", since Figure 1 is on another page, "describe below" is more suitable than "shown".

[Qin]: Okay.

-[Page 7], Section 3.1, right after two bullets, suggestion: "RTP Monitor"----->"RTP monitor", since monitor is small caps throughout the rest of the document.

[Qin]: Okay.

-[Page 8], 5 line before last, "see figure 1"---->"see Figure 1"

[Qin]: Okay.

-[Page 9], Section 3.2 first line, "shown in the Figure 1"---->"shown in Figure 1"

[Qin]: Okay.

-[Page 9], Section 3.2 line 2, and line 1 of second paragraph, suggestion: "end-systems"---->"end systems", for consistency with the rest of the document.

[Qin]: Okay.

-[Page 9], Section 3.2 3rd paragraph, "MCUs", first occurrence of the word. Suggestion: please spell out "Multipoint Control Units (MCUs)".

[Qin]: Okay.

-[Page 9], Section 3.2 3rd paragraph, "SSRC", first occurrence of the word. Suggestion: please spell out "Synchronization source (SSRC)";
then [Page 10],"Synchronization source (SSRC)" does not need to be spelled out a second time.

[Qin]: Okay.

-[Page 9], last paragraph, 2nd sentence, something is missing before the last phrase: "..., application level metrics that are reported via some network management application". 
Suggestion, add "like":  "..., like application level metrics that are reported via some network management application"

[Qin]: Agree, However what I mean here is both transport level metrics, end system metrics and application level metrics should be collected.
I like to rewords as follows:
OLD TEXT:
"
   but instead
   collect transport and end system metrics, application level metrics
   that are reported via some network management application. 
"
NEW TEXT:
"
but instead collect transport level metrics, end system metrics and application level metrics. 
"

-[Page 10], Section 4.2, typo: "timly"---->"timely"

[Qin]: Okay.

-[Page 10] and [Page 13], "VOIP" ------>"VoIP" for consistency.

[Qin]: Okay.

-[Page 13], Section 5.3, "uses the SSRC of source to bind ": would the wording "uses the SSRC to bind" be enough?

[Qin]: Okay.

-[Page 13], Section 5.3, "then forward"---->"then forwards"

[Qin]: Okay.

-[Page 13], Section 5.4, please remove extra \" after "XR Block"

[Qin]: Apparently it is a typo. I forgot to add left quotation marks.
OLD TEXT
"
Measurement Identity and information Reporting using SDES item and XR Block" [MEASI]
"
NEW TEXT:
"
"Measurement Identity and information Reporting using SDES item and XR Block" [MEASI] 

"

-[Page 15], line 3, "Section 5.1", should it say "Section 5" ?

[Qin]: Okay.

-[Page 21], for References to ongoing drafts, please consider not pointing to specific versions if not needed, or use latest revisions:
ex:  "[QOE]", point to http://tools.ietf.org/html/draft-ietf-xrblock-rtcp-xr-qoe  (v02).
and "[MEASI]", point to http://tools.ietf.org/html/draft-ietf-xrblock-rtcp-xr-meas-identity (v09).

[Qin]: Okay.

- Overall, suggestion:  First level headings, all words start by Caps.

[Qin]: Okay.

Thanks,
Meral

---
Meral Shirazipour
Ericsson
Research
www.ericsson.com

---

From: Meral Shirazipour <[email-masked]>
Date: Fri, 17 Aug 2012 01:32:36 -0400

Hi Qin,
   thank you, I agree with your comments.

Best Regards,
Meral

---
Meral Shirazipour
Ericsson
Research
www.ericsson.com

________________________________________
From: Qin Wu [[email-masked]]
Sent: Thursday, August 16, 2012 12:57 AM
To: Meral Shirazipour; [email-masked]; [email-masked]
Subject: Re: Gen-ART Last Call review of draft-ietf-avtcore-monarch-17

HI,Meral:

Regards!
-Qin
----- Original Message -----
From: "Meral Shirazipour" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Wednesday, August 01, 2012 10:02 AM
Subject: Gen-ART Last Call review of draft-ietf-avtcore-monarch-17

Summary:

Nits/editorial comments:

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

"

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

Thanks,
Meral

---
Meral Shirazipour
Ericsson
Research
www.ericsson.com